Summary:	Displays information on ACPI devices
Name:		acpi
Version:	1.5
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Servers
Url:		http://sourceforge.net/projects/acpiclient/
Source0:	http://downloads.sourceforge.net/project/acpiclient/acpiclient/%{version}/%{name}-%{version}.tar.gz
Requires:	dmidecode
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Attempts to replicate the functionality of the 'old' apm command on
ACPI systems, including battery and thermal information.

%prep
%setup -q

%build
%configure2_5x
%make CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%triggerpostun -- acpi < 0.09-4
rm -f /etc/rc.d/*/{K,S}*acpi

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{_bindir}/*
%{_mandir}/man1/%{name}*


%changelog
* Mon Apr 05 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.5-1mdv2010.1
+ Revision: 531538
- Update to 1.5

* Sun Feb 21 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.4-1mdv2010.1
+ Revision: 508871
- update to new version 1.4
- drop both patches
- spec file clean

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0.09-7mdv2010.0
+ Revision: 413021
- rebuild

* Mon Dec 29 2008 Oden Eriksson <oeriksson@mandriva.com> 0.09-6mdv2009.1
+ Revision: 321079
- rebuild

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 0.09-5mdv2009.0
+ Revision: 220327
- rebuild

* Fri Feb 22 2008 Olivier Blin <oblin@mandriva.com> 0.09-4mdv2008.1
+ Revision: 173968
- remove old initscript symlinks on update

* Tue Feb 12 2008 Olivier Blin <oblin@mandriva.com> 0.09-3mdv2008.1
+ Revision: 166310
- remove init script, modules are loaded by udev coldplug on the acpi bus
- bunzip patches

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 0.09-2mdv2008.1
+ Revision: 148413
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed May 23 2007 Christiaan Welvaart <spturtle@mandriva.org> 0.09-1mdv2008.0
+ Revision: 30352
- Import acpi



* Mon Jul  3 2006 Olivier Blin <oblin@mandriva.com> 0.09-1mdv2007.0
- 0.09
- rediff Patch1
- update URL
- fix executable-marked-as-config-file

* Thu Feb 09 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.07-10mdk
- patch 2: fix README advertizing a non existing man page

* Mon Jan  9 2006 Olivier Blin <oblin@mandriva.com> 0.07-9mdk
- fix acpi status output (from Andrey Borzenkov, #20524)

* Sun Jan  8 2006 Olivier Blin <oblin@mandriva.com> 0.07-8mdk
- convert parallel init to LSB

* Sat Dec 31 2005 Couriousous <couriousous@mandriva.org> 0.07-7mdk
- Add parallel init stuff

* Thu Aug 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.07-6mdk
- fix rpmlint errors( PreReq)

* Wed Aug 10 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.07-5mdk
- fix rpmlint errors( PreReq)

* Tue Aug 24 2004 Erwan Velu <erwan@mandrakesoft.com> 0.07-4mdk
- Changing dectection procedure to load _acpi modules. Some were not detected.
- Now using dmidecode instead of cat /proc/acpi/dsdt

* Fri Jun 18 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.07-3mdk
- load *_acpi modules when needed

* Fri Feb 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.07-2mdk
- add a reload entry to the init script
- remove broken symlink
- gprintify source1 by hand to fix bug #5637

* Mon Feb 02 2004 Nicolas Planel <nplanel@mandrakesoft.com> 0.07-1mdk
- 0.07.

* Fri Aug 29 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.6-9mdk
- don't report an error on startup if acpi isn't present

* Wed Jul 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.6-8mdk
- fix gcc-3.3 patch (P2)

* Tue Jul 15 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.6-7mdk
- drop Prefix tag
- fix gcc-3.3 build (P2)

* Thu May 15 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6-6mdk
- init service: cosmetic fixes (andrey borsenkow)

* Fri Mar  7 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.6-5mdk
- touch/rm /var/lock/ when stop/start.

* Fri Feb 28 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.6-4mdk
- load button module in init script

* Mon Feb 24 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.6-3mdk
- Add init files to load modules.

* Tue Feb  4 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.6-2mdk
- Rpmlint's stuff.
- Add on_ac_power patch to make it a behavior kind of like on_ac_power
  of apm.

* Tue Feb  4 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.6-1mdk
- First packaging.


# end of file
